#
# The following lines prevent .user.ini files from being viewed by Web clients.
#
<Files ".user.ini">
    Require all denied
</Files>

#
# Allow php to handle Multiviews
#
AddType text/html .php

#
# Add index.php to the list of files that will be served as directory
# indexes.
#
DirectoryIndex index.php

#
# Redirect to local php-fpm (no mod_php in default configuration)
#
<IfModule !mod_php5.c>
  <IfModule !mod_php7.c>
    # Enable http authorization headers
   SetEnvIfNoCase ^Authorization$ "(.+)" HTTP_AUTHORIZATION=$1

   <DirectoryMatch {{ php_directorymatch_enable_regex | default ('^(/var/www/html/.*)') }}>
    <FilesMatch \.(php|phar)$>
        SetHandler "proxy:unix:/run/php-fpm/www.sock|fcgi://localhost"
    </FilesMatch>
   </DirectoryMatch>

    {% if php_directorymatch_disable_regex is defined %}
   <DirectoryMatch  {{ php_directorymatch_disable_regex }}>
     <FilesMatch \.(php|phar)$>
       SetHandler None
     </FilesMatch>
   </DirectoryMatch>
   {% endif %}
  </IfModule>
</IfModule>

